Summary:	freedt - a reimplementation of Dan Bernstein's daemontools
Summary(pl.UTF-8):	freedt - reimplementacja daemontools Dana Bernsteina
Name:		freedt
Version:	23
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	http://offog.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	0659566c5af36b8413713e6d90b48c35
Source2:	%{name}.sysconfig
Source3:	%{name}.init
URL:		http://offog.org/code/freedt.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	rc-scripts
Requires(post,preun):	/sbin/chkconfig
Obsoletes:	daemontools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
freedt currently includes feature-equivalent replacements for argv0,
envdir, envuidgid, setlock, setuidgid, softlimit, supervise, svc,
svok, svscan, svstat and recordio. It also includes dumblog (a simple
multilog replacement), mkservice (a script for automatically creating
service directories), anonidentd (an anonimising identd
implementation) and ratelimit (a bandwidth-limiting filter along the
lines of recordio).

%description -l pl.UTF-8
freedt aktualnie zawiera funkcjonalnie równoważne zamienniki argv0,
envdir, envuidgid, setlock, setuidgid, softlimit, supervise, svc,
svok, svscan, svstat i recordio. Zawiera również dumblog (prosty
zamiennik multiloga), mkservice (skrypt do automatycznego tworzenia
katalogów dla usług), anonidentd (zapewniającą anonimowość
implementację identd) oraz ratelimit (filtr ograniczający pasmo
działający w recordio).

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT/var/lib/service

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/svscan
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svscan

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add svscan
%service svscan restart

%preun
if [ "$1" = "0" ]; then
	%service svscan stop
	/sbin/chkconfig --del svscan
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(700,root,root) /var/lib/service
%attr(754,root,root) /etc/rc.d/init.d/svscan
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/svscan
%changelog
* Fri Jan 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/freedt.git;a=log;h=master

* Fri Jan 09 2015 Mateusz Korniak <matkor@pld-linux.org> 6fb8bcd
- Version 23-1 .

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fbdc73f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> de952c0
- converted to UTF-8

* Tue Apr 18 2006 darekr <darekr@pld-linux.org> 0109e32
- use %service

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 0eb1cb5
- adapterized (sorted %verify attrs)

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> bcfc0ec
- killed trailing spaces/tabs

* Sun May 08 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> c79437a
- up to 0.21

* Sun May 08 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> b5062b2
- redirect errors from find to /dev/null

* Fri Feb 04 2005 Paweł Cyranek <pawel.cyranek@gmail.com> ddf2b66
- updated to 0.20

* Sun Nov 07 2004 darekr <darekr@pld-linux.org> 2cf7ee0
- updated to 0.19
- remove outdated patch

* Sun Nov 07 2004 darekr <darekr@pld-linux.org> b6951a1
- outdated

* Sun Feb 15 2004 wolf <wolf@pld-linux.org> 9d16a2c
- pl fix

* Wed Feb 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 53c5a81
- killed backup file

* Wed Feb 04 2004 Jacek Konieczny <jajcus@pld-linux.org> 1122e6e
- Release: 2
- va_list handling in code fixed, so it doesn't crash on AMD64

* Wed Feb 04 2004 Jacek Konieczny <jajcus@pld-linux.org> 8848d0d
- passing pointer to va_list as function argument doesn't seem to work on AMD64

* Wed Feb 04 2004 Artur Frysiak <artur@frysiak.net> f625626
- don't overwrite log file

* Tue Feb 03 2004 Jacek Konieczny <jajcus@pld-linux.org> dbec81d
- output of svscan may be important, so log it to /var/log/svscan

* Tue Feb 03 2004 Jacek Konieczny <jajcus@pld-linux.org> d5b1676
- detach svscan from terminal

* Fri Jan 02 2004 eothane <eothane@pld-linux.org> f0dbc1f
- wrong bracket in Polish language Summary:

* Fri Jan 02 2004 ankry <ankry@pld-linux.org> cb98a9c
- pl, formatting, kill unfinished text

